Bug 28222 - [ecj] Fails compiling gnu/java/security/x509/X509Certificate.java
Summary: [ecj] Fails compiling gnu/java/security/x509/X509Certificate.java
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.2.0
: P3 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: build
Depends on:
Blocks: 28067
  Show dependency treegraph
 
Reported: 2006-07-02 17:36 UTC by Andrew John Hughes
Modified: 2006-07-10 19:33 UTC (History)
3 users (show)

See Also:
Host: x86_64-unknown-linux-gnu
Target: x86_64-unknown-linux-gnu
Build: x86_64-unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2006-07-06 00:16:10


Attachments
Output of the failed command (804 bytes, text/plain)
2006-07-02 17:37 UTC, Andrew John Hughes
Details
Assembler file (31.07 KB, application/octet-stream)
2006-07-02 17:39 UTC, Andrew John Hughes
Details
Assembler file (16.94 KB, application/octet-stream)
2006-07-02 17:39 UTC, Andrew John Hughes
Details
Assembler file (31.07 KB, application/octet-stream)
2006-07-02 17:40 UTC, Andrew John Hughes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew John Hughes 2006-07-02 17:36:10 UTC
The gcj-eclipse branch fails compiling the gnu/java/security/x509/X509Certificate.java file
as part of the build.
Output and assembler files are attached.
Comment 1 Andrew John Hughes 2006-07-02 17:37:22 UTC
Created attachment 11799 [details]
Output of the failed command
Comment 2 Andrew John Hughes 2006-07-02 17:38:20 UTC
Failed command is:

/home/gandalf/projects/java/classpath/gcj/build/gcc/gcj -B/home/gandalf/projects/java/classpath/gcj/build/x86_64-unknown-linux-gnu/libjava/ -B/home/gandalf/projects/java/classpath/gcj/build/gcc/ -fomit-frame-pointer -fclasspath= -fbootclasspath=/home/gandalf/projects/java/classpath/gcj/build/x86_64-unknown-linux-gnu/libjava/classpath/lib --encoding=UTF-8 -Wno-deprecated -fbootstrap-classes -g -O2 -c -MT gnu/java/security/x509.lo -MD -MP -MF gnu/java/security/x509.deps @gnu/java/security/x509.list -fPIC -o gnu/java/security/.libs/x509.o
Comment 3 Andrew John Hughes 2006-07-02 17:39:22 UTC
Created attachment 11800 [details]
Assembler file
Comment 4 Andrew John Hughes 2006-07-02 17:39:44 UTC
Created attachment 11801 [details]
Assembler file
Comment 5 Andrew John Hughes 2006-07-02 17:40:30 UTC
Created attachment 11802 [details]
Assembler file
Comment 6 Andrew John Hughes 2006-07-02 17:45:47 UTC
This assertion fails:

gcc_assert (!uid_region_num[INSN_UID (r->label)]);

in gcc/except.c (remove_unreachable_regions)
Comment 7 Tom Tromey 2006-07-06 00:16:10 UTC
I've seen this too... there's some other PR with a proposed
patch by Andrew Haley.  I forget the number -- I'll try to find it later.
I don't recall why I'm not seeing it right now.
Perhaps because I'm building with -g and not -O.
Comment 8 Tom Tromey 2006-07-06 00:19:17 UTC
It is PR 19505.
The patch is:

http://gcc.gnu.org/ml/gcc-patches/2005-05/msg00425.html

I've been meaning to test this but haven't had a chance yet.
Comment 9 Tom Tromey 2006-07-10 19:33:36 UTC
I think Andrew Haley's commit to the gcj-eclipse branch fixed this.
I'm closing it and marking it as target == 4.3; presumably the ecj
merge will happen in that release.

Andrew Hughes -- if this still happens for you, reopen this PR.